[project]
name = "mercury"
version = "0.1.0"
description = "Validation Suite backend"
requires-python = ">=3.12"
dependencies = [
  "alembic==1.16.4",
  "bcrypt==4.3.0",
  "fastapi==0.116.1",
  "gunicorn==23.0.0",
  "psycopg[binary]==3.2.9",
  "pydantic-settings==2.10.1",
  "pydantic[email]==2.11.7",
  "python-jose[cryptography]==3.5.0",
  "python-multipart==0.0.20",
  "python-dateutil==2.9.0.post0",
  "pydyf==0.11.0",
  "pypdf==6.4.1",
  "sqlalchemy==2.0.41",
  "uvicorn[standard]==0.35.0",
  "weasyprint==69.0"
]

[project.optional-dependencies]
dev = ["black==25.1.0", "isort==6.0.1", "pytest==8.3.4", "ruff==0.12.4"]

[tool.black]
line-length = 100

[tool.isort]
profile = "black"

[tool.ruff]
line-length = 100
target-version = "py312"

[tool.setuptools.packages.find]
include = ["app*"]
